# ✏️ Update client details Update client details. This endpoint allows you to update an existing client's information. Only the fields provided in the request will be updated; fields not included will remain unchanged. Note: When updating external_ref, ensure it's unique for this sponsor. Endpoint: PUT /clients/{client_id} Version: 1.0.0 Security: APIKeyHeader ## Path parameters: - `client_id` (string, required) ## Request fields (application/json): - `organization_name` (any) Name of the organization Example: "Acme Corporation" - `contact_email` (any) Contact email for the organization Example: "contact@acme.com" - `external_ref` (any) External reference identifier Example: "EXT-12345" - `status` (any) Current status of the client Example: "active" ## Response 200 fields (application/json): - `client_id` (string) Unique client identifier - `organization_name` (string, required) Name of the organization - `contact_email` (string, required) Contact email for the organization - `external_ref` (string, required) External reference identifier - `sponsor_id` (string, required) PDP sponsor ID from the X-PDP-Sponsor-Id header - `status` (string, required) Current status of the client Enum: "active", "inactive", "pending", "suspended" - `created_at` (string, required) When the client was created - `updated_at` (any) When the client was last updated ## Response 422 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 404 fields ## Response 409 fields